org.apache.storm.topology

## Class SharedOnHeap

- java.lang.Object
- - org.apache.storm.generated.SharedMemory
  - - org.apache.storm.topology.SharedOnHeap

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<SharedMemory>, org.apache.storm.thrift.TBase<SharedMemory,SharedMemory._Fields>, org.apache.storm.thrift.TSerializable

      public class SharedOnHeap
      extends SharedMemory

  A request for a shared memory region on heap.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.generated.SharedMemory

      `SharedMemory._Fields`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.generated.SharedMemory

      `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedOnHeap(double amount, String name)` Create a new request for a shared memory region on heap.

  - ### Method Summary

    - ### Methods inherited from class org.apache.storm.generated.SharedMemory

      `clear, compareTo, deepCopy, equals, equals, fieldForId, get_name, get_off_heap_node, get_off_heap_worker, get_on_heap, getFieldValue, hashCode, is_set_name, is_set_off_heap_node, is_set_off_heap_worker, is_set_on_heap, isSet, read, set_name_isSet, set_name, set_off_heap_node_isSet, set_off_heap_node, set_off_heap_worker_isSet, set_off_heap_worker, set_on_heap_isSet, set_on_heap, setFieldValue, toString, unset_name, unset_off_heap_node, unset_off_heap_worker, unset_on_heap, validate, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SharedOnHeap

          public SharedOnHeap(double amount,
                              String name)

      Create a new request for a shared memory region on heap.

      Parameters:
        `amount` - the number of MB to share on heap
        `name` - the name of the shared region (for tracking purposes)

Copyright © 2021 The Apache Software Foundation. All rights reserved.